Summary:		Utilities for devices that use SCSI command sets
Name:			sg3_utils
Version:        1.48
Release:        4%{?dist}
License:		GPL
URL:			http://sg.danny.cz/sg/sg3_utils.html
Source0:		http://sg.danny.cz/sg/p/sg3_utils-%{version}.tar.xz

BuildRequires:	make gcc systemd
Requires:		%{name}-libs = %{version}-%{release}

%description
Collection of Linux utilities for devices that use the SCSI command set.
Includes utilities to copy data based on "dd" syntax and semantics (called
sg_dd, sgp_dd and sgm_dd); check INQUIRY data and VPD pages (sg_inq); check
mode and log pages (sginfo, sg_modes and sg_logs); spin up and down
disks (sg_start); do self tests (sg_senddiag); and various other functions.
See the README, ChangeLog and COVERAGE files. Requires the linux kernel 2.4
series or later. In the 2.4 series SCSI generic device names (e.g. /dev/sg0)
must be used. In the 2.6 series and later other device names may be used as
well (e.g. /dev/sda). Also some support for NVMe devices, especially with
sg_ses on NVMe enclosures.

Warning: Some of these tools access the internals of your system
and the incorrect usage of them may render your system inoperable.

%package libs
Summary: Shared library for %{name}

%description libs
This package contains the shared library for %{name}.

%package devel
Summary: Static library and header files for the sgutils library
Requires: %{name}-libs = %{version}-%{release}

%description devel
This package contains the %{name} library and its header files for
developing applications.

%prep
%autosetup

%build
%configure --disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

sed -i "s/\(\.TH RESCAN\\\-SCSI\\\-BUS\.SH.*\"\)1/\18/g" doc/rescan-scsi-bus.sh.8

%install
%make_install

mkdir -p %{buildroot}%{_udevrulesdir}
install -p -m 0644 scripts/55-scsi-sg3_id.rules %{buildroot}%{_udevrulesdir}/61-scsi-sg3_id.rules
install -p -m 0644 scripts/58-scsi-sg3_symlink.rules %{buildroot}%{_udevrulesdir}/63-scsi-sg3_symlink.rules
install -p -m 0644 scripts/59-fc-wwpn-id.rules %{buildroot}%{_udevrulesdir}/63-fc-wwpn-id.rules
install -p -m 0644 scripts/59-scsi-cciss_id.rules %{buildroot}%{_udevrulesdir}/65-scsi-cciss_id.rules
install -p -m 0644 scripts/40-usb-blacklist.rules %{buildroot}%{_udevrulesdir}
install -p -m 0755 scripts/fc_wwpn_id %{buildroot}/usr/lib/udev

install -p -m 0755 scripts/rescan-scsi-bus.sh %{buildroot}%{_bindir}
install -p -m 0644 doc/rescan-scsi-bus.sh.8 %{buildroot}%{_mandir}/man8/scsi-rescan.8
pushd %{buildroot}%{_bindir}
ln -sf rescan-scsi-bus.sh scsi-rescan
popd

rm -f %{buildroot}%{_libdir}/*.la

%files
%license BSD_LICENSE COPYING
%doc AUTHORS COVERAGE CREDITS ChangeLog README README.sg_start
%{_udevrulesdir}/61-scsi-sg3_id.rules
%{_udevrulesdir}/63-scsi-sg3_symlink.rules
%{_udevrulesdir}/63-fc-wwpn-id.rules
%{_udevrulesdir}/65-scsi-cciss_id.rules
%{_udevrulesdir}/40-usb-blacklist.rules
/usr/lib/udev/fc_wwpn_id
%{_bindir}/*
%{_mandir}/man8/*

%files libs
%license BSD_LICENSE COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/scsi/*.h
%{_libdir}/*.so

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.48-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.48-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.48-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 wynnfeng <wynnfeng@tencent.com> - 1.48-1
- upgrade to 1.48

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.47-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.47-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 7 2022 Xiaojie Chen <jackxjchen@tencent.com> 1.47-1
- Initial build
